Bug 590522 - Review Request: plexus-cipher - Plexus Cipher: encryption/decryption Component
Summary: Review Request: plexus-cipher - Plexus Cipher: encryption/decryption Component
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 03:17 UTC by huwang
Modified: 2010-06-04 06:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 01:58:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
spec file (3.00 KB, text/plain)
2010-05-10 07:26 UTC, huwang
no flags Details
SRPM (30.43 KB, application/x-rpm)
2010-05-10 07:31 UTC, huwang
no flags Details

Description huwang 2010-05-10 03:17:05 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: Plexus Cipher: encryption/decryption Component

Comment 1 Alexander Kurtakov 2010-05-10 07:14:47 UTC
You haven't put links to your spec and srpm.

Comment 2 huwang 2010-05-10 07:26:33 UTC
Created attachment 412735 [details]
spec file

Comment 3 huwang 2010-05-10 07:31:04 UTC
Created attachment 412737 [details]
SRPM

Comment 4 huwang 2010-05-10 08:30:03 UTC
(In reply to comment #0)
> Spec URL: http://hotfile.com/dl/42162162/56b2406/plexus-cipher.spec.html
> SRPM URL: http://hotfile.com/dl/42162040/79e5c4c/plexus-cipher-1.4-1.src.rpm.html
> Description: Plexus Cipher: encryption/decryption Component

Comment 5 Mat Booth 2010-05-12 20:03:49 UTC
I will take this.

I'm happy for you to continue putting your SPEC and SRPM on the bug as attachments, by the way. :-)

Comment 6 Mat Booth 2010-05-13 21:08:59 UTC
Those parent poms, are there any other plexus modules that might need these to build? I'm just wondering if it is worth getting these poms into the maven2-common-poms package like we did with the Apache commons-parent pom...

Comment 7 Guido Grazioli 2010-05-13 21:31:31 UTC
(In reply to comment #6)
> Those parent poms, are there any other plexus modules that might need these to
> build? I'm just wondering if it is worth getting these poms into the
> maven2-common-poms package like we did with the Apache commons-parent pom...    

Could be useful, take a look here -> bug 591454

Comment 8 Mat Booth 2010-05-13 21:41:11 UTC
Ah, well spotted. Huwang, what do you think about making this depend on the spice-parent package instead of bundling the pom here?

Comment 9 huwang 2010-05-14 02:27:36 UTC
(In reply to comment #8)
> Ah, well spotted. Huwang, what do you think about making this depend on the
> spice-parent package instead of bundling the pom here?    

There are 3 modules depend on spice-parent package: plexus-cipher, plexus-build-api and plexus-sec-dispatcher. So I added spice-parent package which is only a pom file.

Comment 10 Mat Booth 2010-05-15 12:15:55 UTC
Excellent, please update your SPEC/SRPM and I will conduct a full review.

Comment 11 Alexander Kurtakov 2010-05-19 13:11:05 UTC
huwang, Please do what Mat requested

Comment 12 huwang 2010-05-20 08:49:22 UTC
(In reply to comment #10)
> Excellent, please update your SPEC/SRPM and I will conduct a full review.    

Sorry for the delay, as I updated it to the latest version, please review again, thanks a lot.

spec URL: http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=plexus-cipher.spec&can=2&q=#makechanges

SRPM URL:  http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=plexus-cipher-1.5-1.src.rpm&can=2&q=#makechanges

Note about this package:
 It built with dist-f14-maven221 target, koji building link is http://koji.fedoraproject.org/koji/taskinfo?taskID=2198806

Comment 13 huwang 2010-05-20 11:26:38 UTC
Rebuilt in koji with dist-f14-maven221 target, the link is http://koji.fedoraproject.org/koji/taskinfo?taskID=2198918

Comment 14 Mat Booth 2010-05-21 11:42:21 UTC
Hmm, I rebuilt your SPRM again myself, and this time it failed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2200828

Also, in both our builds, it fails to get this pom file:
JPP/maven2/default_poms/JPP-apache-commons-logging.pom

Seems like it should be finding this one first anyway:
JPP/maven2/poms/JPP-commons-logging.pom

What's going on there?

Also, please provide a valid url in the spec file URL tag.

Comment 15 Stanislav Ochotnicky 2010-05-21 11:58:00 UTC
I am sorry, this is actually a problem in commons-logging. I am fixing it right now. Sorry for causing trouble...

Comment 16 Mat Booth 2010-05-21 12:05:27 UTC
No problem, thanks for your attention Stanislav :-)

Comment 17 Stanislav Ochotnicky 2010-05-21 12:18:36 UTC
Just to explain (might be useful for future):
One of the dependencies that plexus-cipher pulls in is using old jakarta-commons-logging package I assume. It had wrong groupId (commons-logging instead of org.apache.commons) so I had to fix it when I renamed package to apache-commons-logging. I tried to keep backward compatibility but I forgot to change one call to use correct name...

Comment 18 Mat Booth 2010-05-21 15:05:41 UTC
Ok the commons-logging thing has been fixed, but it still fails to build for me:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2201405


[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Internal error in the plugin manager executing goal 'org.apache.maven.plugins:maven-javadoc-plugin:2.4:javadoc': Unable to find the mojo 'org.apache.maven.plugins:maven-javadoc-plugin:2.4:javadoc' in the plugin 'org.apache.maven.plugins:maven-javadoc-plugin'
org.apache.maven.doxia.logging.LogEnabled
[INFO] ------------------------------------------------------------------------


I'm not sure what "Unable to find the mojo" means, is it a problem with this package or a problem in the maven javadoc plugin?

Comment 19 huwang 2010-05-25 02:43:45 UTC
(In reply to comment #18)
> Ok the commons-logging thing has been fixed, but it still fails to build for
> me:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2201405
> 
> 
> [INFO] ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] ------------------------------------------------------------------------
> [INFO] Internal error in the plugin manager executing goal
> 'org.apache.maven.plugins:maven-javadoc-plugin:2.4:javadoc': Unable to find the
> mojo 'org.apache.maven.plugins:maven-javadoc-plugin:2.4:javadoc' in the plugin
> 'org.apache.maven.plugins:maven-javadoc-plugin'
> org.apache.maven.doxia.logging.LogEnabled
> [INFO] ------------------------------------------------------------------------
> 
> 
> I'm not sure what "Unable to find the mojo" means, is it a problem with this
> package or a problem in the maven javadoc plugin?    

I think this isn't this package's problem. I built again, it isn't failed, the link is http://koji.fedoraproject.org/koji/taskinfo?taskID=2207394

spec URL:
http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=plexus-cipher.spec&can=2&q=#makechanges

SRPM URL: 
http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=plexus-cipher-1.5-1.src.rpm&can=2&q=#makechanges

please review again, thanks.

Comment 20 Alexander Kurtakov 2010-05-28 07:25:22 UTC
Mat, 
Can you finish this?
If not please drop yourself and I'll do it. It's blocking other packages.

Comment 21 Mat Booth 2010-05-28 09:51:17 UTC
Sorry, I have been very busy this week. I can finish it at the weekend, if that is ok.

Comment 22 Mat Booth 2010-05-31 16:00:11 UTC
Hi,

This builds for me now finally, thanks.

Rpmlint output:

  W: spelling-error Summary(en_US) decryption
  W: spelling-error %description -l en_US decryption

Ignore these spelling warnings, "decryption" is a valid noun form of the verb "decrypt." What a terrible dictionary it's using.

  W: non-conffile-in-etc /etc/maven/fragments/plexus-cipher

This is normal and may also be ignored.

  W: no-documentation

Please include the NOTICE.txt file as documentation in the main package.

  W: invalid-url URL: http://spice.sonatype.org/plexus-cipher HTTP Error 404: Not Found
  W: invalid-url URL: http://spice.sonatype.org/plexus-cipher HTTP Error 404: Not Found

Please include a valid URL in the URL tag. I've tried this in my browser, there is definitely no page at this location.

---

I've been through the guidelines and the review check list and I believe the package is acceptable except for the two items from the rpmlint output that I've highlighted above.

Comment 23 huwang 2010-06-01 01:32:37 UTC
(In reply to comment #22)
> Hi,
> 
> This builds for me now finally, thanks.
> 
> Rpmlint output:
> 
>   W: spelling-error Summary(en_US) decryption
>   W: spelling-error %description -l en_US decryption
> 
> Ignore these spelling warnings, "decryption" is a valid noun form of the verb
> "decrypt." What a terrible dictionary it's using.
> 
>   W: non-conffile-in-etc /etc/maven/fragments/plexus-cipher
> 
> This is normal and may also be ignored.
> 
>   W: no-documentation
> 
> Please include the NOTICE.txt file as documentation in the main package.
Fixed.
> 
>   W: invalid-url URL: http://spice.sonatype.org/plexus-cipher HTTP Error 404:
> Not Found
>   W: invalid-url URL: http://spice.sonatype.org/plexus-cipher HTTP Error 404:
> Not Found
> 
> Please include a valid URL in the URL tag. I've tried this in my browser, there
> is definitely no page at this location.
Fixed.
> 
> ---
> 
> I've been through the guidelines and the review check list and I believe the
> package is acceptable except for the two items from the rpmlint output that
> I've highlighted above.    

Please review again, thanks.

Spec URL: http://huwang.fedorapeople.org/packages/plexus_cipher/plexus-cipher.spec
SRPM URL: http://huwang.fedorapeople.org/packages/plexus_cipher/plexus-cipher-1.5-3.src.rpm

here is the build link: http://koji.fedoraproject.org/koji/taskinfo?taskID=2221097

Comment 24 Mat Booth 2010-06-01 08:56:53 UTC
Nice one, that looks fine to me.

APPROVED

Comment 25 huwang 2010-06-01 10:05:54 UTC
New Package CVS Request
=======================
Package Name: plexus-cipher
Short Description: Plexus Cipher: encryption/decryption Component
Owners: huwang
Branches: 
InitialCC:

Comment 26 Kevin Fenzi 2010-06-03 20:13:49 UTC
CVS done (by process-cvs-requests.py).

Please don't put versions in the Summary of review tickets... ;)

Comment 27 huwang 2010-06-04 01:57:53 UTC
Built in koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=2228830


Note You need to log in before you can comment on or make changes to this bug.